Subject: RE: [External] : Re: bug#59937: 28.2; Bad defcustom behavior

From: Drew Adams <[email-masked]>
Date: Wed, 14 Dec 2022 22:42:10 +0000

>  > Is there a _logical_ requirement that there be a
>  > value, in order to create the editable field for
>  > the `restricted-sexp'?  I don't think there should be.
>  >
>  > That's different from the need for a value because
>  > the current code works that way.
>  >
>  > But I really don't see why a value is needed.  All
>  > the code needs to do is create an editable field
>  > that expects text that satisfies the predicates,
>  > no?  Of what (logical) use is the ("default") value?
> 
> I think you're right on point.  It's just that the code works that way,
> and makes assumptions that there is always going to be a value (default
> or edited).

Thanks for confirming that you think that's the
case.  If using "" works then that will be good.